Subject: [manet] Re: RE: [manet] IP addresses in MANET

From: "����" <[email-masked]>
Date: Sat, 29 Jun 2002 16:48:46 +0800 (CST)

Hi John:
 Thanks for your detailed explaining. I agree with you in most part, except:
[John M]  …Given a "nice" situation, there would be no practical limit to the MANET,....

  I think there is a limit to the MANET.  Wireless is different from wired, its bandwidth is limited, and it can hardly to make a breakthrough. No matter what structure, what algorithm you use, when the number of nodes increases, the routing OH or clustering OH will increase steadily(except we use autonomous region concept in MANET :) ). At last, the OH will eat up the bandwidth. Just before that, when there is some point where the link quality is bad, the OH will choke the traffic too, make the performance unacceptable. So, I think that the size limit of a MANET may depend on smallest link bandwidth in a network. For hierarchical scheme, the bandwidth of links among cluster heads will be of great concern. Perkins has shown that there is a 10000 nodes network under test, however, he did not show us the bandwidth he use. 10000 is a rather astonishing number to me :) 

BR.
Hai Wang

> Hi Hai Wang,
>  
> You have a lot of statements here, so I'll comment on them one at a time.
>  
> [Hai Wang] I think what Bill referred is the clustering problem of
> hierarchical MANET. In some situation, bad parameterized cluster maintenance
> such as cluster-split, cluster-merge may induce more OH than routing
> protocol. 
> 
> [John M]  Regardless of what protocol we pick, there will be a set of
> circumstances under which it will not perform well.  In Computer Science,
> people tend to look at the worst case and ask if that is tolerable.  In
> Industrial Engineering (my field), we also look at average performance.
> This involves a bit more understanding of the situation in that we have to
> figure out how likely the worst case (and other cases) are.  So, if there is
> a set of circumstances under which a protocol will do badly, but those
> circumstances are very very rare, we may still use the protocol.  
>  
> Any form of organization will work best when it coincides with the situation
> and worst when it does not.  Essentially, a set of instructions is trying to
> guess which organization will be best, based on the observed network state.
> Every once in a while, it will be wrong.  However, if it is better than the
> alternatives, including no clustering, we would still tend to use it.
>  
> [Hai Wang] However, I see no reasonable default parameter such as cluster
> size, cluster merge/split threshold can be fitted for all real networks. So
> a hierarchical MANET’s performance is not promising. Am I right? Or is
> there any reference parameter for hierarchical MANET implementation?
>  
> [John M]  The term "MANET" describes a tremendous variety of rather messy
> networks.  Additionally, the equipment in use has some impact on cluster
> size and design.  In a large MANET, local conditions can vary, so in some
> regions, a larger cluster size might be advisable.  Finally, traffic
> patterns interact with clustering.  It is unlikely that a single default
> parameter would be acceptable for all MANETs.  However, it is likely that a
> single initial value will be good starting point and that heuristics can be
> found to locally optimize cluster size.  After all, we have to find
> something for hungry graduate students to do.
> :-)
> 
> Also, there are a number of clustering schemes, so parameters for one would
> differ from those of another. Martha Steenstrup discusses a number of these
> in "Cluster-Based Networks," [Ad Hoc Networking, by Charles Perkins, Chapter
> 4].  Her discussion does a good job of describing the protocols and showing
> how technology, traffic patterns, and geographical dispersion impact and are
> impacted by different clustering methods.
>  
> [Hai Wang]  There is another question aroused in my brain: Is there a
> nodes-limit for MANET? That is: can MANET support more than thousands of
> nodes or even tens of thousands of nodes? I heard that UBC has build a Ad
> hoc sensor network of 800 nodes; however, I think there is difference
> between sensor network and MANET, for sensor network has little message to
> transfer on the net, OH is not a big problem. 
> 
> [John M] I have heard of working MANETS up to 1000 nodes in size.  This is
> 1000 hosts, almost all of which are operated by people communicating with
> each other.  Conceptually, there is no limit, though practically speaking
> there probably is one.  Of course, special circumstances can reduce the
> complexity of the problem.  For example, if a MANET consists of ten teams of
> 100 hosts, each team of which is organized into five units, and if these
> teams and units tend to travel together, say as in an emergency relief
> operation, then a clustering by organizational unit seems logical and would
> probably work.  Given a "nice" situation, there would be no practical limit
> to the MANET, though purists would probably call it a very tame one.
>  
> [Hai Wang] In a very big MANET, with its mobility nature, I doubt any scheme
> , neithe! r flat nor hierarchical, would work. If there is a limit, do we
> have a value this society agreed on? With this in mind, I think it will be
> better for us to discuss the hierarchical or flat MANET.
> 
> [John M]  There are probably circumstances under which a flat MANET is
> preferable to a hierarchical one, but I think you have the size factor
> backwards.  Hierarchal clustering tends to localize the impact of state
> changes, so it tends to be more useful in larger nets than in smaller ones.
> If each node is one or two hops away from every other node, probably
> clustering is not worth the OH.  However, if the net diameter is ten or
> twenty hops, something is needed to reduce the size of the routing problem
> and clustering seems to be one way to do it.  If there is a limit to MANET
> size, it will be a practical one, set by limitations of the media and
> technology.  I think that is too much of a moving target to set a value at
> this point.
> 
> BR
> Hai Wang
> 
> 
> > Hi Bill,
> > 
> > I think it could go either way, depending on the nature of the MANET.
> > 
> > The advantage of clustering is that you can keep some information local.
> > Even in a very dynamic situation, not all changes need be propagated
> > throughout the net. However, there is a certain amount of OH involved and
> > it could be that under certain circumstances, the OH would cut into
> > available BW.
> > 
> > However, in checking this out, we would have to consider the total effect
> of
> > clustering. It is not just that one keeps local changes more-or-less
> local,
> > but also that the resulting hierarchal structure makes routing more
> > efficient.
> > 
> > There is also anot! her factor. Some protocols (e.g. AODV) maintain only
> > active r outes. In a very dynamic network of n nodes in which only a few
> of
> > the n-squared possible routes are used, clustering might have less value
> > than in a network in which a large fraction of possible source-destination
> > pairs are active. 
> > 
> > John Mullen
> > 
> > 
> 
> 
>

---

From: "Scott C. Lemon" <[email-masked]>
Date: Sun, 30 Jun 2002 10:36:22 -0600

Hello Hai Wang,

I have been thinking about the characteristics that I want in a radio ... and working with a local company to develop one that might be well oriented towards MANETs.  When you say:

> No matter what structure, what algorithm you use, when the number of nodes increases, 
> the routing OH or clustering OH will increase steadily(except we use autonomous region 
> concept in MANET :) ). At last, the OH will eat up the bandwidth. Just before that, when 
> there is some point where the link quality is bad, the OH will choke the traffic too, make the 
> performance unacceptable. So, I think that the size limit of a MANET may depend on 
> smallest link bandwidth in a network. For hierarchical scheme, the bandwidth of links 
> among cluster heads will be of great concern.

I have thought about one way to possibly deal with this, although I will not claim to have thought this through with a lot of detail.

What if I were able to use software to alter the output power and sensitivity of my radio?  When I found myself in a situation where I have too many "peers" or the cluster size is getting very large (I am not sure that this is accurate language as I am still coming up to speed!) then I would issue software commands to the radio to decrease my output power, and sensitivity so that I would decrease the radius that I can effectively communicate.

In a sense, what if I could decrease and increase my effective "cell" size through software?  Would that assist in this problem?

Scott C. Lemon
HumanXtensions L.L.C.
http://www.HumanXtensions.com
http://the.Inevitable.Org/anism

   "People often talk about it being the journey, not the destination.
        Consider the possibility that there is no destination ...
                    that in life there is only journey!"

---

From: "Scott C. Lemon" <[email-masked]>
Date: Sun, 30 Jun 2002 10:36:22 -0600

Hello Hai Wang,

Scott C. Lemon
HumanXtensions L.L.C.

---

From: David Young <[email-masked]>
Date: Sun, 30 Jun 2002 14:26:38 -0500

Scott,

Power adjustments are definitely useful in a MANET. It is an
interesting problem to choose the power level that keeps the
network connected, that reduces the relaying burden, and that reduces
interference. Some researchers are studying this.  P.R. Kumar at UIUC
has looked at the problem.  You will find a paper on the topic at
black.csl.uiuc.edu/~prkumar/postscript_files.html#Wireless%20Networks

I do not know any 802.11 radio that supports per-packet power level
adjustments, but there are a few with "master" TX power controls.
Power for the Cisco Aironet 35x is adjustable in 1mW increments. Power
levels in the Prism chipset, too, are adjustable, but it is not known
yet the mapping between register values and levels.

Dave

-- 
David Young             OJC Technologies
[email-masked]     Engineering from the Right Brain
                        Urbana, IL * (217) 278-3933

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: David Young <[email-masked]>
Date: Sun, 30 Jun 2002 14:26:38 -0500

Scott,

Dave